﻿public class SpeedyDemolition : Mod
{
    private static float GetToolVariables()
    {
        return GameModeValueManager.GetCurrentGameModeValue().toolVariables.removeSpeedMultiplier;
    }
    private static void SetToolVariables(float removeSpeedMultiplier)
    {
        GameModeValueManager.GetCurrentGameModeValue().toolVariables.removeSpeedMultiplier = removeSpeedMultiplier;
    }
    private static float removeSpeedMultiplierSaved = 1f;
    public void Start()
    {
        removeSpeedMultiplierSaved = GetToolVariables();
        SetToolVariables(10f);
    }
    public override void WorldEvent_WorldLoaded()
    {
        SetToolVariables(10f);
    }
    public void OnModUnload()
    {
        SetToolVariables(removeSpeedMultiplierSaved);
    }
}
